org.apache.pdfbox.filter

## Class FilterFactory

- java.lang.Object
- - org.apache.pdfbox.filter.FilterFactory

    public final class FilterFactory
    extends Object

Factory for Filter classes.

Author:
  Ben Litchfield

### Field Summary

Fields
`static FilterFactory` `INSTANCE` Singleton instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`Filter` `getFilter(COSName filterName)` Returns a filter instance given its COSName.
`Filter` `getFilter(String filterName)` Returns a filter instance given its name as a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final FilterFactory INSTANCE

Singleton instance.

### Method Detail

#### getFilter

    public Filter getFilter(String filterName)
                     throws IOException

Returns a filter instance given its name as a string.

Parameters:
  `filterName` - the name of the filter to retrieve
Returns:
  the filter that matches the name
Throws:
  `IOException` - if the filter name was invalid

#### getFilter

    public Filter getFilter(COSName filterName)
                     throws IOException

Returns a filter instance given its COSName.

Parameters:
  `filterName` - the name of the filter to retrieve
Returns:
  the filter that matches the name
Throws:
  `IOException` - if the filter name was invalid